std::atomic< unsigned char > Struct Reference
Atomics

`#include <atomic>`

## Public Types

typedef __atomic_base< unsigned char > | __base_type
typedef unsigned char | __integral_type
using | value_type

## Public Member Functions

constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
bool | compare_exchange_strong (unsigned char &__e, unsigned char __i, memory_order __s, memory_order __f) noexcept
bool | compare_exchange_weak (unsigned char &__e, unsigned char __i, memory_order __s, memory_order __f) noexcept
unsigned char | exchange (unsigned char __i, memory_order __m=memory_order_seq_cst) noexcept
bool | is_lock_free () const noexcept
unsigned char | load (memory_order __m=memory_order_seq_cst) const noexcept
void | notify_all () noexcept
void | notify_one () noexcept
| operator unsigned char () const noexcept
| operator unsigned char () const volatile noexcept
atomic & | operator= (const atomic &) volatile =delete
atomic & | operator= (const atomic &)=delete
void | store (unsigned char __i, memory_order __m=memory_order_seq_cst) noexcept
void | wait (unsigned char __old, memory_order __m=memory_order_seq_cst) const noexcept

## Static Public Attributes

static constexpr bool | is_always_lock_free

## Detailed Description

Explicit specialization for unsigned char.

Definition at line 757 of file atomic.

## Member Typedef Documentation

## __base_type

typedef __atomic_base<unsigned char> std::atomic< unsigned char >::__base_type

Definition at line 760 of file atomic.

## __integral_type

typedef unsigned char std::atomic< unsigned char >::__integral_type

Definition at line 759 of file atomic.

## value_type

using std::atomic< unsigned char >::value_type

Definition at line 200 of file atomic.

## Constructor & Destructor Documentation

## atomic()

std::atomic< unsigned char >::atomic | ( | __integral_type | __i | ) |

inline constexpr noexcept

Definition at line 768 of file atomic.

## Member Function Documentation

## compare_exchange_strong()

bool std::atomic< unsigned char >::compare_exchange_strong | ( | unsigned char & | __e,
|  | unsigned char | __i,
|  | memory_order | __s,
|  | memory_order | __f )

inline noexcept

Definition at line 358 of file atomic.

## compare_exchange_weak()

bool std::atomic< unsigned char >::compare_exchange_weak | ( | unsigned char & | __e,
|  | unsigned char | __i,
|  | memory_order | __s,
|  | memory_order | __f )

inline noexcept

Definition at line 322 of file atomic.

## exchange()

unsigned char std::atomic< unsigned char >::exchange | ( | unsigned char | __i,
|  | memory_order | __m = memory_order_seq_cst )

inline noexcept

Definition at line 301 of file atomic.

## is_lock_free()

bool std::atomic< unsigned char >::is_lock_free | ( |  | ) | const

inline noexcept

Definition at line 250 of file atomic.

## load()

unsigned char std::atomic< unsigned char >::load | ( | memory_order | __m = memory_order_seq_cst | ) | const

inline noexcept

Definition at line 283 of file atomic.

## notify_all()

void std::atomic< unsigned char >::notify_all | ( |  | ) |

inline noexcept

Definition at line 408 of file atomic.

## notify_one()

void std::atomic< unsigned char >::notify_one | ( |  | ) |

inline noexcept

Definition at line 404 of file atomic.

## operator unsigned char() [1/2]

std::atomic< unsigned char >::operator unsigned char | ( |  | ) | const

inline noexcept

Definition at line 235 of file atomic.

## operator unsigned char() [2/2]

std::atomic< unsigned char >::operator unsigned char | ( |  | ) | const volatile

inline noexcept

Definition at line 238 of file atomic.

## store()

void std::atomic< unsigned char >::store | ( | unsigned char | __i,
|  | memory_order | __m = memory_order_seq_cst )

inline noexcept

Definition at line 271 of file atomic.

## wait()

void std::atomic< unsigned char >::wait | ( | unsigned char | __old,
|  | memory_order | __m = memory_order_seq_cst ) const

inline noexcept

Definition at line 395 of file atomic.

## Member Data Documentation

## is_always_lock_free

bool std::atomic< unsigned char >::is_always_lock_free

static constexpr

Definition at line 774 of file atomic.

The documentation for this struct was generated from the following file:

- atomic